| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | List of all members
Digikam::DPreviewManager Class Reference
Inheritance diagram for Digikam::DPreviewManager:

## Public Types
enum | DisplayMode { MessageMode = 0 , PreviewMode }

## Public Slots
void | slotLoad (const QUrl &url)

## Signals
void | signalButtonClicked ()
void | signalSelectionChanged (const QRectF &)

## Public Member Functions
| DPreviewManager (QWidget *const parent)
bool | load (const QUrl &file, bool fit=true)
void | setBusy (bool b, const QString &text=QString())
void | setButtonText (const QString &text)
void | setButtonVisible (bool b)
void | setImage (const QImage &img, bool fit=true)
void | setSelectionAreaPossible (bool b)
void | setText (const QString &text, const QColor &color=Qt::white)
void | setThumbnail (const QPixmap &preview=QPixmap())
void | setSelectionArea (const QRectF &rectangle)
| Manage a selection area and show it.
QRectF | getSelectionArea () const

## Member Function Documentation

## ◆ setSelectionArea()

void Digikam::DPreviewManager::setSelectionArea | ( | const QRectF & | rectangle | ) |

Parameters

  rectangle | This rectangle should have height and width of 1.0